import {Ref, ref} from 'vue'
import UserService, {IStatuses} from '@/services/userService'

export function useStatuses() {
  const statuses = ref<Partial<IStatuses>>({})

  UserService.getStatuses().then(val => statuses.value = val)

  return {
    statuses: statuses as Ref<IStatuses>,
  }
}
