export interface IUserDto {
  email: string,
  name: string,
  surname: string,
  tel: string,
  telegram: string,
  id: number,
  isActivated: boolean,
  isPassQuestionnaire: boolean,
  status: number,
  avatar?: string
}

export default function UserDto(model: Partial<IUserDto>): Partial<IUserDto> {
  return {
    email: model.email,
    name: model.name,
    surname: model.surname,
    tel: model.tel,
    telegram: model.telegram,
    id: model.id,
    isActivated: model.isActivated,
    isPassQuestionnaire: model.isPassQuestionnaire,
    status: model.status,
    avatar: model.avatar,
  }
}
