import ApiError from '../exceptions/api-error'
import {IRequest} from 'express'

export = function (req: IRequest, res, next) {
  try {
    if (req.user.status < 300) return next(ApiError.Forbidden())
    next()
  } catch (e) {return next(ApiError.Unauthorized())}
}
