import ApiError from '../exceptions/api-error'

export = function (err: string | ApiError, req, res, _) {
  console.error('[err] ' + err)
  if (err instanceof ApiError) return res.status(err.status).json({message: err.message, errors: err.errors})
  return res.status(500).json({message: 'На сервере ведутся технические работы'})
}
