import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import StudentMiddleware from '../../middlewares/student-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import scheduleController from '../../controllers/schedule-controller'

router.get('/schedule', AuthMiddleware, StudentMiddleware, scheduleController.getSchedule)
router.post('/schedule', AuthMiddleware, AdminMiddleware, scheduleController.setSchedule)
