import ApiError from '../exceptions/api-error'
import {IRequest} from 'express'

export = function (req: IRequest<{}, { name: string }>, res, next) {
  try {
    if (req.params.name !== `${req.user.id}_${req.user.avatar}.png`) return next(ApiError.Forbidden())
    next()
  } catch (e) {return next(ApiError.Forbidden())}
}
