import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import variablesController from '../../controllers/var-controller'

router.get('/variables', variablesController.getVar)
router.post('/variables', AuthMiddleware, AdminMiddleware, variablesController.setVar)
