import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import questionnaireController from '../../controllers/questionnaire-controller'

// router.get('/questionnaire', authMiddleware, activatedMiddleware, questionnaireController.getQuestionnaire)
router.post('/questionnaire', AuthMiddleware, questionnaireController.uploadQuestionnaire)
router.get('/questionnaire/self', AuthMiddleware, questionnaireController.getAnswersSelf)
router.get('/questionnaire/answers/:id', AuthMiddleware, AdminMiddleware, questionnaireController.getAnswers)
