import {router} from '../index'
import AuthMiddleware from '../../middlewares/auth-middleware'
import AdminMiddleware from '../../middlewares/admin-middleware'
import userController from '../../controllers/user-controller'

router.get('/students', AuthMiddleware, AdminMiddleware, userController.getStudents)
router.get('/statuses', AuthMiddleware, userController.getStatuses)
router.post('/statuses', AuthMiddleware, AdminMiddleware, userController.changeStatuses)
