import mysql from 'mysql2/promise'

class varService {
  async getVar(key: string) {
    const [value] = await mysql.db.query<{ val: boolean }>('SELECT `val` FROM `variables` WHERE `var` = ?', [key])
    return !!value?.[0]?.val
  }

  async setVar(key: string, val: boolean) {
    await mysql.db.query('REPLACE INTO `variables` VALUES(?, ?)', [key, val])
    process.env[key] = String(Number(val))
  }
}

export = new varService()
